
Member Nodes - Task #3679

MNDeployment # 3118 (Operational): Dryad Member Node

unescaped xml-reserved characters in the log file

2013-03-21 20:31 - Rob Nahf

Status: Closed Start date: 2013-03-21

Priority: Normal Due date:  

Assignee: Ryan Scherle % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

from the query:

http://dev.datadryad.org/mn/v1/log?toDate=2013-03-21T20:11:28.716%2B00:00&start=2000&count=568

I get an xml parsing error in the Chrome browser ("This page contains the following errors:

error on line 3 at column 161742: EntityRef: expecting ';'

Below is a rendering of the page up to the first error.")

I tracked it down to the first occurrence of an identifier using the embedded url query construct   "&ver=something". 

The ampersand needs to be escaped, and maybe other xml reserved characters, too.

History

#1 - 2013-05-21 10:28 - Ryan Scherle

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Fixed

#2 - 2013-05-24 18:48 - Matthew Jones

- Target version changed from Deploy by RSV to Deploy by end of Y4Q4

#3 - 2013-08-01 19:50 - Bruce Wilson

- Target version changed from Deploy by end of Y4Q4 to Deploy by end of Y5Q2

#4 - 2014-02-03 16:03 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#5 - 2014-03-14 18:22 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Operational
